
// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the SMSAPI_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// SMSAPI_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.
#ifdef SMSAPI_EXPORTS
#define SMSAPI_(type) extern "C" __declspec(dllexport) type WINAPI
#else
#define SMSAPI_(type) extern "C" __declspec(dllimport) type WINAPI

#ifndef _DEBUG
#pragma comment( lib, "SmsApi.lib" )
#else
#pragma comment( lib, "SmsApiD.lib" )
#endif

#endif

typedef VOID (CALLBACK* ONSENDSMSMESSAGEA)(LPCSTR lpszSender,LPCSTR lpszSmsSender,LPCSTR lpszRecvMobiles,LPCSTR lpszMsg,LPCSTR lpszCCookie);
typedef VOID (CALLBACK* ONSENDSMSMESSAGEW)(LPCWSTR lpszSender,LPCWSTR lpszSmsSender,LPCWSTR lpszRecvMobiles,LPCWSTR lpszMsg,LPCWSTR lpszCCookie);


SMSAPI_(int) InitSmsAppA(LPCSTR lpszAddr,WORD wPort,ONSENDSMSMESSAGEA pOnSendSmsMessageA);
SMSAPI_(int) InitSmsAppW(LPCWSTR lpszAddr,WORD wPort,ONSENDSMSMESSAGEW pOnSendSmsMessageW);

//------------------------------------------------
//
//<Result>
//  <Item Mobile="13825223076" Result="ͳɹ"/>
//  <Item Mobile="13825223076" Result="ʧ"/>
//<Result/>
//-----------------------------------------------

SMSAPI_(int) ReSendSmsMessageA(LPCSTR lpszSmsSender,LPCSTR lpszCookie,LPCSTR lpszXmlResult);
SMSAPI_(int) ReSendSmsMessageW(LPCWSTR lpszSmsSender,LPCWSTR lpszCCookie,LPCWSTR lpszXmlResult);


SMSAPI_(int) SendMoSmsMessageA(LPCSTR lpszMobile,LPCSTR lpszRecvUsers,LPCSTR lpszMsg,LPCSTR lpszRecvID);
SMSAPI_(int) SendMoSmsMessageW(LPCWSTR lpszMobile,LPCWSTR lpszRecvUsers,LPCWSTR lpszMsg,LPCWSTR lpszRecvID);

SMSAPI_(long) SetWordLimit(long  lWordLimit);







#ifdef  _UNICODE
#define ONSENDSMSMESSAGE	ONSENDSMSMESSAGEW
#define ReSendSmsMessage    ReSendSmsMessageW
#define SendMoSmsMessage    SendMoSmsMessageW
#define InitSmsApp          InitSmsAppW
#else
#define ONSENDSMSMESSAGE	ONSENDSMSMESSAGEA
#define ReSendSmsMessage    ReSendSmsMessageA
#define SendMoSmsMessage    SendMoSmsMessageA
#define InitSmsApp          InitSmsAppA
#endif

#ifdef  _UNICODE
#define ONSENDSMSMESSAGE	ONSENDSMSMESSAGEW
#define ReSendSmsMessage    ReSendSmsMessageW
#define SendMoSmsMessage    SendMoSmsMessageW
#define InitSmsApp          InitSmsAppW
#else
#define ONSENDSMSMESSAGE	ONSENDSMSMESSAGEA
#define ReSendSmsMessage    ReSendSmsMessageA
#define SendMoSmsMessage    SendMoSmsMessageA
#define InitSmsApp          InitSmsAppA
#endif

